package cn.hanghui.outapi.platform.tenant.service;


import cn.hanghui.outapi.platform.common.entity.po.Account;
import cn.hanghui.outapi.platform.common.entity.rest.RestResult;
import cn.hanghui.outapi.platform.tenant.entity.dto.SceneDto;
import cn.hanghui.outapi.platform.tenant.entity.dto.UserLibDto;
import cn.hanghui.outapi.platform.tenant.entity.enums.AuthModuleTypeEnum;
import com.baomidou.mybatisplus.core.metadata.IPage;

import java.util.List;

public interface SceneService {


    /**
     * 添加或编辑场景
     *
     * @param dto
     * @return
     */
    RestResult<Boolean> addScene(SceneDto dto);

    /**
     * 删除场景
     *
     * @param id
     * @return
     */
    RestResult<Boolean> delScene(Long id);

    /**
     * 获取场景分页列表
     *
     * @param dto
     * @return
     */
    RestResult<IPage<SceneDto>> pageScene(SceneDto dto);

    /**
     * 添加用户库
     *
     * @param dto
     * @return
     */
    RestResult<Boolean> addUserLib(UserLibDto dto);

    /**
     * 删除用户库
     *
     * @param id
     * @return
     */
    RestResult<Boolean> delUserLib(Long id);

    /**
     * 获取用户库分页列表
     *
     * @param dto
     * @return
     */
    RestResult<IPage<UserLibDto>> pageUserLib(UserLibDto dto);


    RestResult<List<UserLibDto>> serLibList();


    RestResult<List<UserLibDto>> getUserLibList(Account account, AuthModuleTypeEnum hhfaceUserLib);
}
